about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2024-01-03 22:47:05 +0100
committerSoispha <soispha@vhack.eu>2024-01-03 22:51:39 +0100
commit20fa03a84607c4b140d3caa80ee177bfb7887bd2 (patch)
tree841736375a129e8eb6f2d5b288989191da01b5f4
parentfix(hm/pkgs/scr/ytcc/nest_comments): Correctly declare cli interface (diff)
downloadnixos-config-20fa03a84607c4b140d3caa80ee177bfb7887bd2.tar.gz
nixos-config-20fa03a84607c4b140d3caa80ee177bfb7887bd2.zip
fix(hm/pkgs/scr/ytcc/filter_comments): Fail if not running
Diffstat (limited to '')
-rwxr-xr-xhm/soispha/pkgs/scripts/specific/ytcc/filter_comments.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/hm/soispha/pkgs/scripts/specific/ytcc/filter_comments.sh b/hm/soispha/pkgs/scripts/specific/ytcc/filter_comments.sh
index 436a3bc5..ed744ccb 100755
--- a/hm/soispha/pkgs/scripts/specific/ytcc/filter_comments.sh
+++ b/hm/soispha/pkgs/scripts/specific/ytcc/filter_comments.sh
@@ -6,6 +6,7 @@ SHELL_LIBRARY_VERSION="1.10.2" . %SHELL_LIBRARY_PATH
 # This is the symlink to the active info.json
 file="$XDG_RUNTIME_DIR/ytcc/running";
 
+[ -e "$file" ] || die "No currently running instance found!"
 
 nest_comments.py "$file" | jq --raw-output -f %JQ_PREPROCCESSOR_SCRIPT | fmt -u -s --width=90 | less -r